import gtk
import gtk.glade

class PyAtCronAssistant:
	def __init__ (self, parent):
		self.widgetTree = gtk.glade.XML ("assistant.glade", "assistant")
		dic = {
						"on_assistant_delete_event" : self.deleteEvent,
					}
		self.widgetTree.signal_autoconnect (dic)
		self.win = self.widgetTree.get_widget ("assistant")
		if parent:
			self.win.set_transient_for (parent)
		self.win.set_position (gtk.WIN_POS_CENTER_ON_PARENT)
		self.win.show ()

	def deleteEvent (self, event, obj):
		self.quit ()

	def cancel (self, obj):
		self.quit ()

	def quit (self):
		self.win.destroy ()
